%define extension	jndi
%define name		%{extension}-ext
%define version		1.2.1
%define cvs_version	1_2_1
%define release		10jpp
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java Naming and Directory Interface
License:	Sun Binary Code License
Url:		http://java.sun.com/products/%{extension}
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{extension}-%{cvs_version}.zip
NoSource:	0
BuildArch:	noarch
Requires:	jpackage-utils > 1.4
Provides:	%{extension} = %{version}
BuildRoot:	%{_tmppath}/%{extension}-%{version}-buildroot

%description
The Java Naming and Directory InterfaceTM (JNDI) is a standard
extension to the JavaTM platform, providing Java technology-enabled
applications with a unified interface to multiple naming and directory
services in the enterprise. As part of the Java Enterprise API set, JNDI
enables seamless connectivity to heterogeneous enterprise naming and
directory services. Developers can now build powerful and portable
directory-enabled applications using this industry standard.
JNDI works in concert with other J2EE technologies to organize and
locate components in a distributed computing environment.
JNDI 1.2 is a major upgrade release that includes, among other
features, support for event notification and LDAP v3 extensions and
controls. The specification contains valuable contributions from the
following companies: Netscape, Novell, Tarantella, Sun, BEA.

%package manual
Summary:	Manual for %{extension}
Group:		Development/Libraries/Java

%description manual
Documentation for %{extension}.

%package demo
Summary:	Demo for %{extension}
Requires:	%{extension} = %{version}-%{release}
Group:		Development/Libraries/Java

%description demo
Demonstrations and samples for %{extension}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
chmod -R go=u-w *

%build

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}-ext
install -m 644 lib/%{extension}.jar $RPM_BUILD_ROOT%{_javadir}-ext/%{extension}-%{version}.jar
%add_jvm_extension %{extension}-%{version} %{extension} 1.3.0

# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{extension}
cp -pr examples $RPM_BUILD_ROOT%{_datadir}/%{extension}

%clean
if [ $RPM_BUILD_ROOT != / ]; then
rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%doc COPYRIGHT README.txt
%{_javadir}-*/%{extension}*

%files manual
%defattr(-,root,root)
%doc doc/*

%files demo
%defattr(-,root,root)
%{_datadir}/%{extension}

%changelog
* Tue Feb 11 2003 Nicolas Mailhot <Nicolas.Mailhot@jpackage.org> 1.2.1-9jpp
- add extension handling

* Tue Feb 11 2003 Nicolas Mailhot <Nicolas.Mailhot@jpackage.org> 1.2.1-8jpp
- Remove javadoc as it is no longuer accessible on SUN site

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-6jpp
- vendor, distribution, group tags
- javadoc

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-5jpp
- nosrc package
- section macro

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-4jpp
- spec cleanup

* Mon Jan 7 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-3jpp
- no dependencies for manual package
- stricter dependency for demo package
- standardised summary

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-2jpp
- first unified release

* Tue Oct 09 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.1-1mdk
- first Mandrake release
